faked(1)

NAAM
faked - daemon die valse eigenaren/toegangsrechten onthoudt van bestanden die door fakeroot-processen zijn bewerkt.

SYNTAX
faked [--debug] [--foreground] [--cleanup] [--key berichtensleutel] [--load] [--save-file te-bewaren-bestand] [--port TCP-poort]

BESCHRIJVING
If a fakeroot process wants to change the ownership of a file, then faked is the process that remembers that new owner. If later the same fakeroot process does a stat() for that filename, then the libfakeroot wrapped stat() call will first ask faked for the fake ownership etc. of that file, and then report it.

OPTIES

--debug
    Foutopsporingsinformatie op stderr afdrukken.

--foreground
    Niet naar de achtergrond `forken'.

--cleanup number
    De `semaphores' opschonen.

--key key-number
    Don't allocate a new communication channel, but use channel specified by key. (If the specified channel doesn't exist, it's created).

--save-file save-file
    De omgeving bij afsluiten opslaan in het te-bewaren-bestand.

--load
    Een eerder opgeslagen omgeving uit standaard invoer inladen.

--unknown-is-real
    De echte eigenaren van eerder onbekende bestanden gebruiken in plaats van deze op root:root in te stellen.

--port tcp-port
    De TCP-poort TCP-poort gebruiken.

FOUTEN
None so far. Be warned, though: although I've written quite a few much larger (and smaller) programs, I've never written anything that was as tiny as fakeroot, had as many bugs as fakeroot, and still was as usable as, say, fakeroot version 0.0_3, the first version that could be used to build itself.

KOPIËREN
fakeroot wordt verspreid onder de voorwaarden van de GNU General Public License (GPL 2.0 of recenter).

AUTEURS

joost witteveen
    <joostje@debian.org>

Clint Adams
    <clint@debian.org>

Timo Savola

VERTALING

Martijn Dekker
    <martijn@inlv.org>

HANDLEIDINGSPAGINA
mostly by J.H.M. Dassen <jdassen@debian.org> mods/additions by joost and Clint.

ZIE OOK
fakeroot(1), dpkg-buildpackage(1), debuild(1), /usr/share/doc/fakeroot/DEBUG